Bug 1140166 - RFE: support disk source protocol=ssh
Summary: RFE: support disk source protocol=ssh
Keywords:
Status: ASSIGNED
Alias: None
Product: Red Hat Enterprise Linux Advanced Virtualization
Classification: Red Hat
Component: libvirt
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.1
Assignee: Peter Krempa
QA Contact: Han Han
URL:
Whiteboard:
: 1139659 1434651 1434841 (view as bug list)
Depends On: 1139659
Blocks: TRACKER-bugs-affecting-libguestfs 1642014 1758964 1435162
TreeView+ depends on / blocked
 
Reported: 2014-09-10 12:05 UTC by Richard W.M. Jones
Modified: 2019-10-08 08:45 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1139659
Environment:
Last Closed:
Type: Feature Request


Attachments (Terms of Use)

Description Richard W.M. Jones 2014-09-10 12:05:59 UTC
+++ This bug was initially created as a clone of Bug #1139659 +++

Description of problem:

Note this requires that you have fixed bug 1134592 in libvirt first.

If you create a backing file that references an ssh server,
libvirt doesn't pass the required SSH_* variables through to
qemu so it cannot access the ssh agent.

$ qemu-img create -f qcow2 \
  -b 'json: { "file.driver":"ssh",
              "file.path":"/mnt/scratch/test1.img",
              "file.user":"rjones",
              "file.host":"onuma.home.annexia.org",
              "file.host_key_check":"no" }' test2.img

$ ~/d/libvirt/run guestfish -a test2.img run
[...]
Original error from libvirt: internal error: early end of file from monitor: possible problem:
2014-09-09T11:36:32.304954Z qemu-system-x86_64: -drive file=/tmp/test2.img,if=none,id=drive-scsi0-0-0-0,format=qcow2,cache=writeback: could not open disk image /tmp/test2.img: Could not open backing file: failed to connect to ssh-agent: no auth sock variable (libssh2 error code: -39)
 [code=1 domain=10]

Version-Release number of selected component (if applicable):

libvirt from git (2014-09-09) + patches to fix bug 1134592.

How reproducible:

100%

Steps to Reproduce:
1. See above.

Related: bug 856619

--- Additional comment from Richard W.M. Jones on 2014-09-10 08:02:00 EDT ---

Dan suggests that I make this bug into a more general feature request.

Comment 4 Cole Robinson 2016-04-10 14:21:13 UTC
*** Bug 1139659 has been marked as a duplicate of this bug. ***

Comment 6 Peter Krempa 2017-03-23 07:02:49 UTC
*** Bug 1434841 has been marked as a duplicate of this bug. ***

Comment 7 Peter Krempa 2017-03-23 07:47:24 UTC
*** Bug 1434651 has been marked as a duplicate of this bug. ***

Comment 9 Richard W.M. Jones 2019-04-24 12:08:39 UTC
These proposed commits would mean we no longer need this in libvirt:
https://www.redhat.com/archives/libguestfs/2019-April/msg00058.html
https://www.redhat.com/archives/libguestfs/2019-April/msg00060.html

Comment 10 Jaroslav Suchanek 2019-04-24 12:26:24 UTC
This bug is going to be addressed in next major release.


Note You need to log in before you can comment on or make changes to this bug.